<script lang="ts" setup>
import { useFormStore } from '@/stores/form'

const formStore = useFormStore()
</script>
<template>
  <v-dialog v-model="formStore.addFormDialog" persistent>
    <v-sheet
      elevation="15"
      max-width="500"
      rounded="lg"
      height="330"
      width="100%"
      class="pa-5 mx-auto"
    >
      <v-card-title style="text-align: center" class="mb-3">
        <span class="text-h5">เพิ่มหัวข้อแบบประเมิน</span>
      </v-card-title>
      <v-select
        v-model="formStore.addFormType"
        :items="['แบบประเมินการซ่อม/ลงโปรแกรม', 'แบบประเมินให้คำปรึกษา']"
        label="เลือกประเภทแบบประเมิน"
      ></v-select>
      <v-text-field v-model="formStore.addFormName" label="ชื่อแบบประเมิน"></v-text-field>

      <v-divider style="background-color: black" class="mb-5"></v-divider>
      <v-card-actions>
        <v-spacer></v-spacer><v-btn @click="formStore.addForm()" color="blue">Add</v-btn
        ><v-btn @click="formStore.addFormDialog = false" color="red">Close</v-btn></v-card-actions
      >
    </v-sheet>
  </v-dialog>
</template>
